<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.logging.adapter"
   name="%pluginName"
   version="3.0.1"
   provider-name="%providerName"
   class="org.eclipse.hyades.logging.adapter.AdapterPlugin">

   <runtime>
      <library name="hgla.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.logging.core"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.resources"/>
   </requires>


   <extension-point id="contextListener" name="%ContextListener_Schema" schema="contextListener.exsd"/>
   <extension-point id="adapterComponent" name="%AdapterComponent_Schema" schema="adapterComponent.exsd"/>
   <extension-point id="substitutionExtension" name="%SubstitutionExtension_Schema" schema="substitutionExtension.exsd"/>

   <extension
         id="glaproblemmarker"
         name="Generic Log Adapter Configuration Problem"
         point="org.eclipse.core.resources.markers">
      <super
            type="org.eclipse.core.resources.problemmarker">
      </super>
      <persistent
            value="false">
      </persistent>
      <attribute
            name="graph">
      </attribute>
      <attribute
            name="help">
      </attribute>
   </extension>
   
   <!-- RKD:  This was intended to setup marker F1 help so we could show the user 
              how to fix problems in their adapter configuration.  I could not get 
              this to work with the current M9 driver.  Will revisit.  The corresponding 
              code that deals with this capability is GlaTaskOutputter.java.  The help 
              contexts need to be stored in HelpContexts.xml as declared below.
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="HelpContexts.xml" plugin="org.eclipse.hyades.logging.adapter">
      </contexts>
   </extension>
   
   <extension
         point="org.eclipse.ui.ide.markerHelp">
      <markerHelp
            markerType="org.eclipse.hyades.logging.adapter.glaproblemmarker"
            helpContextId="org.eclipse.hyades.logging.adapter.marker_context1">
            <attribute name="help" value="1234"/>
      </markerHelp>
   </extension>
   -->

</plugin>
